Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/terraform: new aport

From: Thomas Boerger <thomas_at_webhippie.de>
Date: Tue, 5 Jul 2016 15:46:51 +0000

https://www.terraform.io/
A tool for building, changing, and combining infrastructure safely and
efficiently
---
 testing/terraform/APKBUILD | 73 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 73 insertions(+)
 create mode 100644 testing/terraform/APKBUILD
diff --git a/testing/terraform/APKBUILD b/testing/terraform/APKBUILD
new file mode 100644
index 0000000..bdc45a2
--- /dev/null
+++ b/testing/terraform/APKBUILD
_at_@ -0,0 +1,73 @@
+# Contributor: Thomas Boerger <thomas_at_webhippie.de>
+# Maintainer: Thomas Boerger <thomas_at_webhippie.de>
+pkgname=terraform
+pkgver=0.6.16
+pkgrel=0
+pkgdesc="Building, changing, and combining infrastructure safely and efficiently"
+url="https://www.terraform.io/"
+arch="all"
+license="MPL 2.0"
+depends=""
+depends_dev=""
+makedepends="$depends_dev go go-tools bash"
+install=""
+subpackages=""
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/hashicorp/terraform/archive/v$pkgver.tar.gz"
+
+builddir="${srcdir}/terraform-${pkgver}"
+_godir="${srcdir}/go"
+_gourl="github.com/hashicorp/terraform"
+
+_providers="provider-atlas provider-aws provider-azure provider-azurerm
+	provider-chef provider-clc provider-cloudflare provider-cloudstack
+	provider-cobbler provider-consul provider-datadog provider-digitalocean
+	provider-dme provider-dnsimple provider-docker provider-dyn provider-fastly
+	provider-github provider-google provider-heroku provider-influxdb
+	provider-librato provider-mailgun provider-mysql provider-null
+	provider-openstack provider-packet provider-postgresql provider-powerdns
+	provider-rundeck provider-softlayer provider-statuscake provider-template
+	provider-terraform provider-tls provider-triton provider-ultradns
+	provider-vcd provider-vsphere"
+
+_provisioners="provisioner-chef provisioner-file provisioner-local-exec
+	provisioner-remote-exec"
+
+build() {
+	mkdir -p ${_godir}/bin ${_godir}/src/github.com/hashicorp
+	ln -sf ${builddir} ${_godir}/src/github.com/hashicorp/terraform
+
+	cd ${_godir}/src/${_gourl}
+	export GOPATH="${_godir}"
+
+	go generate $(go list ./... | grep -v /vendor/)
+	go install -v ${_gourl} || return 1
+
+	for binary in ${_providers}; do
+		go install -v ${_gourl}/builtin/bins/${binary} || return 1
+	done
+
+	for binary in ${_provisioners}; do
+		go install -v ${_gourl}/builtin/bins/${binary} || return 1
+	done
+}
+
+package() {
+	cd "$_godir"/bin
+
+	install -Dm755 terraform \
+		"${pkgdir}/usr/bin/terraform" || return 1
+
+	for binary in ${_providers}; do
+		install -Dm755 ${binary} \
+			"${pkgdir}/usr/bin/terraform-${binary}" || return 1
+	done
+
+	for binary in ${_provisioners}; do
+		install -Dm755 ${binary} \
+			"${pkgdir}/usr/bin/terraform-${binary}" || return 1
+	done
+}
+
+md5sums="708618e86b8c6e33cf5553dd16810e85  terraform-0.6.16.tar.gz"
+sha256sums="c84bae32a170d993982de9c537eac74f70601e7a667dc2ea9803b86e04b1221d  terraform-0.6.16.tar.gz"
+sha512sums="9eab68c4ffe7a187703ec970e6d5812261b819fd20ff2f24751e9f4472caa3e06315db0a07056a777454eda45b6ee6d4d3210307eaff8aab06406eaa48ac9082  terraform-0.6.16.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jul 05 2016 - 15:46:51 GMT